#
# Please do not update/rebuild/touch this package before asking first to mikala and/or neoclust
# This package is part of the KDE Stack.
#

%define rel 1

Name:           krfb
Summary:       Remote Desktop Server
Group:         Networking/Remote access
Version: 4.11.4
Release:        %mkrel %{rel}
Epoch:          3
URL:            http://www.kde.org
License:        GPLv2 LGPLv2 GFDL
Source0:        ftp://ftp.kde.org/pub/kde/stable/%{version}/src/%{name}-%{version}.tar.xz


BuildRequires:  kdelibs4-devel >= 2:%{version}

BuildRequires:  pkgconfig(libxslt)
BuildRequires:  pkgconfig(xtst)
BuildRequires:	pkgconfig(TelepathyQt4)
Suggests:      krfb-handbook
Conflicts:     krdc < 3:4.8.97-3


%description
KDE Desktop Sharing is a server application that allows you to share your
current session with a user on another machine, who can use a VNC client to view
or even control the desktop.
%files
%_kde_bindir/krfb
%_kde_libdir/kde4/krfb_*.so
%_kde_appsdir/krfb
%_kde_applicationsdir/krfb.desktop
%_kde_services/krfb*.desktop
%_kde_servicetypes/krfb*.desktop
%_datadir/telepathy/clients/krfb_rfb_handler.client
%_datadir/dbus-1/services/org.freedesktop.Telepathy.Client.krfb_rfb_handler.service
#------------------------------------------------------------------------------

%define major_krfbprivate 4
%define libkrfbprivate %mklibname krfbprivate %{major_krfbprivate}

%package -n %libkrfbprivate
Summary:       Runtime library for Krfb
Group:         System/Libraries

%description -n %libkrfbprivate
Runtime library for Krfb.

%files -n %libkrfbprivate
%_kde_libdir/libkrfbprivate.so.%{major_krfbprivate}*

#------------------------------------------------------------------------------

%package -n krfb-handbook
Summary:        KRFB Handbook
Conflicts:      krfb < 3:4.7.1
Requires:       krfb >= %{epoch}:%{version}-%{release}
BuildArch:      noarch
Group:          Documentation

%description -n krfb-handbook
This package provides KRFB Handbook

%files -n krfb-handbook
%doc %_kde_docdir/HTML/en/krfb


#------------------------------------------------------------------------------

%prep
%setup -q

%build
export LD=/usr/bin/ld.gold
%cmake_kde4 -DKDE4_ENABLE_FINAL=OFF
%make

%install
%makeinstall_std -C build


%changelog
* Wed Dec 04 2013 lmenut <lmenut> 3:4.11.4-1.mga4
+ Revision: 555030
- Update tarball to KDE SC 4.11.4

* Thu Nov 14 2013 lmenut <lmenut> 3:4.11.3-1.mga4
+ Revision: 551302
- Update tarball to KDE SC 4.11.3

* Mon Oct 21 2013 umeabot <umeabot> 3:4.11.2-2.mga4
+ Revision: 540452
- Mageia 4 Mass Rebuild

* Thu Oct 03 2013 mikala <mikala> 3:4.11.2-1.mga4
+ Revision: 490843
- Update tarball to KDE SC 4.11.2

* Sat Sep 28 2013 lmenut <lmenut> 3:4.11.1-2.mga4
+ Revision: 488647
- rebuild with fixed rpm (missing suggests tags)

* Mon Sep 09 2013 mikala <mikala> 3:4.11.1-1.mga4
+ Revision: 476920
- Update tarball to KDE SC 4.11.1

* Sat Aug 10 2013 mikala <mikala> 3:4.11.0-1.mga4
+ Revision: 465254
- Update tarball to KDE SC 4.11.0

* Sat Jul 27 2013 lmenut <lmenut> 3:4.10.97-1.mga4
+ Revision: 458948
- Update tarball to KDE SC 4.10.97 aka KDE SC 4.11 RC2

* Wed Jul 17 2013 lmenut <lmenut> 3:4.10.95-1.mga4
+ Revision: 455334
- Update tarball to KDE SC 4.10.95 aka KDE SC 4.11 RC1

* Fri Jun 28 2013 mikala <mikala> 3:4.10.90-1.mga4
+ Revision: 448034
- Update tarball to KDE SC 4.10.90 aka KDE SC 4.11 Beta 2
- imported package krfb

